Bug 1833392 - numpy: unowned __pycache__ directory
Summary: numpy: unowned __pycache__ directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: numpy
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-08 15:12 UTC by Jerry James
Modified: 2020-05-10 03:49 UTC (History)
6 users (show)

Fixed In Version: numpy-1.18.4-2.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-10 03:49:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2020-05-08 15:12:28 UTC
Description of problem:
After upgrading from Fedora 31 to 32 (and consequently from python 3.7 to 3.8), I found an empty directory:

/usr/lib64/python3.7/site-packages/numpy/__pycache__

The numpy package does not own %{python3_sitearch}/numpy/__pycache__, but should.

Version-Release number of selected component (if applicable):
python3-numpy-1.18.3-1.fc32.x86_64

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2020-05-08 15:54:59 UTC
FEDORA-2020-d64ddc7380 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d64ddc7380

Comment 2 Fedora Update System 2020-05-09 06:41:40 UTC
FEDORA-2020-d64ddc7380 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d64ddc7380`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d64ddc7380

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-05-10 03:49:52 UTC
FEDORA-2020-d64ddc7380 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.